Importante actualizar modulo de Paypal - Cambio en PayPal de SSL V3 a TLS

startgy

Aprendiz de Prestashop
Noticia publicada en el foro oficial por Paypal:

http://www.prestashop.com/forums/topic/380356-cambio-en-paypal-de-ssl-v3-a-tls/

Cito mensaje:

Con motivo de la vulnerabilidad del protocolo SSL v3 (también conocido como POODLE) que fue identificada el pasado 14 de octubre, PayPal ha estado trabajando para mitigar cualquier impacto potencial en nuestros clientes y por ello hemos decidido desactivar completamente la compatibilidad con SSL 3.0 el día 3 de diciembre de 2014 a las 12:01 a.m. Hora Estándar del Pacífico.

POODLE es una vulnerabilidad de seguridad de Internet que afecta al protocolo Secure Sockets Layer (SSL) 3.0, que se diseñó para garantizar la seguridad de las conexiones al navegar por Internet.

Como consecuencia todos los comercios utilizando Prestashop deberán cambiar su integración con PayPal simplemente actualizando el módulo de PayPal en Prestashop antes del 3 de diciembre de 2014 y desactivar de este modo el SSL 3.0 para las interacciones con clientes.

Esta nueva versión del módulo estará disponible a partir del martes 18 de noviembre de 2014 en Módulos (versión 3.8.0 por llegar). Una vez disponible, actualice su módulo a la última versión con el fin de proteger su negocio frente a esta vulnerabilidad y poder continuar aceptando pagos con PayPal después del 3 de diciembre de 2014.

Agradecemos la atención que está prestando a este problema y la comprensión de nuestra forma de abordarlo.
 

blcgeo

Aprendiz de Prestashop
Me da miedo actualizar el módulo de paypal y que luego no funcione Prestashop ¿Algún consejo antes de actualizar el módulo?
 

devoment

Experto en Prestashop
Veo en el post que quien tenga problemas con el módulo de paypal, como que no le deje pagar el nuevo módulo, que modifique en el fichero:

Insertar CODE, HTML o PHP:
/modules/paypal/api/paypal_connect.php
Esto:

Insertar CODE, HTML o PHP:
@curl_setopt($ch, CURLOPT_SSLVERSION, 4);
por:

Insertar CODE, HTML o PHP:
@curl_setopt($ch, CURLOPT_SSL_CIPHER_LIST, 'SSLv3');
No se si servira para algo, pero bueno, por si alguien no puede pagar con el nuevo modulo de paypal.... pues ahí dejo lo que comenta paypal..
 
Arriba